dots.v2.addOns.saas.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.addOns.saas.post(body: Addons_resource_new, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | SaasPostResponse>Description
To create an add-on resource, send a POST request to /v2/add-ons/saas with required parameters.
Some add-ons require additional metadata to be provided in the request body. To find out
what metadata is required for a specific add-on, send a GET request to /v2/add-ons/apps/{app_slug}/metadata.
Parameters
appSlugstring requiredExample:
example-appThe slug identifier for the application associated with the resource.
planSlugstring requiredExample:
basic_planThe slug identifier for the plan associated with the resource.
namestring requiredExample:
my-resource-01The name of the addon resource.
metadataarray of objects requiredMetadata associated with the resource, set by the user. Metadata expected varies per app, and can be verified with a GET request to "/v2/add-ons/apps/{app_slug}/metadata"
Show child properties
namestring requiredExample:
property_nameThe name of the metadata item to be set.
valuestring or boolean requiredExample:
example_valueThe value to be set for the metadata item, which can be a string or boolean.
linkedDropletIdinteger optionalExample:
12345678ID of the droplet to be linked to this resource, if applicable.
fleetUuidstring optionalExample:
f1234567-89ab-cdef-0123-456789abcdef01UUID of the fleet/project to which this resource will belong.
Request Sample
Response Example
More Information
See /v2/add-ons/saas in the API reference for additional detail on responses, headers, parameters, and more.